WPS8TextInternal::Notes Struct Reference documentation

WPS8TextInternal::Notes Struct Reference

Internal: class to store the note position. More...

## Classes
struct | Compare
| internal struct used to create sorted map More...

## Public Member Functions
| Notes ()
| constructor
| Notes (Notes const &)=default
| copy constructor
| Notes (Notes &&)=default
Notes & | operator= (Notes const &)=default
| copy operator
Notes & | operator= (Notes &&)=default
WPSEntry | getCorrespondanceEntry (long offset) const

## Public Attributes
int | m_zoneNote
| the id of the zone which corresponds to the data
int | m_zoneCorr
| the id of the zone which called/used this data
WPSContentListener::NoteType | m_type
| the note type : footnote or endnote
bool | m_note
| a flag to know if this is the note content
Notes const * | m_corr
| a pointer to the corresponding notes
std::vector< long > | m_positions
| the positions of the data in the file

## Friends
std::ostream & | operator<< (std::ostream &o, Notes const &note)
| operator <<

## Detailed Description

Internal: class to store the note position.

## Constructor & Destructor Documentation

## ◆ Notes() [1/3]

WPS8TextInternal::Notes::Notes | ( |  | ) |
| inline

constructor

Referenced by Notes(), Notes(), WPS8TextInternal::Notes::Compare::operator()(), operator<<, operator=(), and operator=().

## ◆ Notes() [2/3]

WPS8TextInternal::Notes::Notes | ( | Notes const & |  | ) |
| default

copy constructor

## ◆ Notes() [3/3]

WPS8TextInternal::Notes::Notes | ( | Notes && |  | ) |
| default

## Member Function Documentation

## ◆ getCorrespondanceEntry()

WPSEntry WPS8TextInternal::Notes::getCorrespondanceEntry | ( | long | offset | ) | const
| inline

## ◆ operator=() [1/2]

Notes & WPS8TextInternal::Notes::operator= | ( | Notes && |  | ) |
| default

## ◆ operator=() [2/2]

Notes & WPS8TextInternal::Notes::operator= | ( | Notes const & |  | ) |
| default

copy operator

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Notes const & | note )
| friend

operator <<

## Member Data Documentation

## ◆ m_corr

Notes const* WPS8TextInternal::Notes::m_corr

a pointer to the corresponding notes

Referenced by getCorrespondanceEntry(), and Notes().

## ◆ m_note

bool WPS8TextInternal::Notes::m_note

a flag to know if this is the note content

Referenced by Notes().

## ◆ m_positions

std::vector<long> WPS8TextInternal::Notes::m_positions

the positions of the data in the file

Referenced by getCorrespondanceEntry(), Notes(), operator<<, and WPS8Text::readNotes().

## ◆ m_type

WPSContentListener::NoteType WPS8TextInternal::Notes::m_type

the note type : footnote or endnote

Referenced by getCorrespondanceEntry(), Notes(), WPS8TextInternal::Notes::Compare::operator()(), operator<<, and WPS8Text::readNotes().

## ◆ m_zoneCorr

int WPS8TextInternal::Notes::m_zoneCorr

the id of the zone which called/used this data

Referenced by Notes(), WPS8TextInternal::Notes::Compare::operator()(), operator<<, and WPS8Text::readNotes().

## ◆ m_zoneNote

int WPS8TextInternal::Notes::m_zoneNote

the id of the zone which corresponds to the data

Referenced by Notes(), WPS8TextInternal::Notes::Compare::operator()(), operator<<, and WPS8Text::readNotes().

The documentation for this struct was generated from the following file:

- WPS8Text.cpp